Bug 225446 - Don't allow :visited link style in subtrees that use mix-blend-mode
Summary: Don't allow :visited link style in subtrees that use mix-blend-mode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 225698
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-06 03:27 PDT by Antti Koivisto
Modified: 2021-05-15 05:47 PDT (History)
8 users (show)

See Also:


Attachments
patch (8.40 KB, patch)
2021-05-06 04:21 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (8.40 KB, patch)
2021-05-06 05:52 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (8.45 KB, patch)
2021-05-06 08:09 PDT, Antti Koivisto
darin: review+
Details | Formatted Diff | Diff
patch (8.75 KB, patch)
2021-05-11 04:44 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
windows build fix (1.34 KB, patch)
2021-05-11 07:17 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (9.42 KB, patch)
2021-05-14 06:57 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (9.41 KB, patch)
2021-05-14 22:39 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2021-05-06 03:27:50 PDT
They don't mix
Comment 1 Antti Koivisto 2021-05-06 04:00:17 PDT
rdar://65686091
Comment 2 Antti Koivisto 2021-05-06 04:21:28 PDT
Created attachment 427868 [details]
patch
Comment 3 Antti Koivisto 2021-05-06 05:52:31 PDT
Created attachment 427877 [details]
patch
Comment 4 Antti Koivisto 2021-05-06 08:09:53 PDT
Created attachment 427886 [details]
patch
Comment 5 Darin Adler 2021-05-08 22:07:17 PDT
Comment on attachment 427886 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=427886&action=review

> Source/WebCore/rendering/style/RenderStyle.h:827
> +    void setBlendMode(BlendMode mode)
> +    {
> +        SET_VAR(m_rareNonInheritedData, effectiveBlendMode, static_cast<unsigned>(mode));
> +        SET_VAR(m_rareInheritedData, isInSubtreeWithBlendMode, mode != BlendMode::Normal);
> +    }

I find these multi-line function bodies inside class definitions make it hard for me to get an overview of what’s in the class. Would you consider moving the inline function body below the class definition?
Comment 6 Antti Koivisto 2021-05-11 04:44:23 PDT
Created attachment 428263 [details]
patch
Comment 7 EWS 2021-05-11 05:24:08 PDT
Committed r277320 (237579@main): <https://commits.webkit.org/237579@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 428263 [details].
Comment 8 Antti Koivisto 2021-05-11 07:17:46 PDT
Created attachment 428272 [details]
windows build fix
Comment 9 Antti Koivisto 2021-05-11 09:01:17 PDT
build fix
Comment 10 EWS 2021-05-11 10:46:05 PDT
Committed r277329 (237588@main): <https://commits.webkit.org/237588@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 428272 [details].
Comment 11 WebKit Commit Bot 2021-05-12 07:15:18 PDT
Re-opened since this is blocked by bug 225698
Comment 12 Antti Koivisto 2021-05-14 06:57:22 PDT
Created attachment 428617 [details]
patch

reland with test disabled on windows
Comment 13 Antti Koivisto 2021-05-14 22:39:24 PDT
Created attachment 428716 [details]
patch
Comment 14 EWS 2021-05-15 05:47:29 PDT
Committed r277538 (237766@main): <https://commits.webkit.org/237766@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 428716 [details].